/*LIB GPS
author: Giovanni Migon
GPS GP 735T
*/
#include "mbed.h"
#include <string.h> // memcpy()
#include <stdint.h> // uint8_t
#include <stdlib.h> // atof()

class GPS {
    
public:
    GPS(PinName pinTx, PinName pinRx, int Baud);
    ~GPS();
    
    double lat;
    double lon;
    uint8_t pdop;
    
    // Ctrl
    uint8_t _buf_rx[512];    // recv
    unsigned short _count_rx;
    Serial _serial;
    
    void printRX(void);
    void printGPS(void);
    //static void SerialRecvInterrupt (void);
    
private:
    int _Baud;
    PinName _pinTx;
    PinName _pinRx;
};